Allow the use of ESC to close Echo's flyout
Closed, ResolvedPublic

Description
  1. Go to e.g.

https://pt.wikipedia.org/wiki/Special:BlankPage
and click in the [0] to open the notifications flyout

  1. Press ESC

Expected result: the flyout is closed
Actual result: the flyout is still there


Version: master
Severity: enhancement

bzimport added projects: Echo, JavaScript.Via ConduitNov 22 2014, 2:07 AM
bzimport set Reference to bz53588.
He7d3r created this task.Via LegacyAug 30 2013, 12:44 PM
Spage added a comment.Via ConduitSep 23 2013, 8:47 PM

Prioritization and scheduling of this bug is tracked on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/241

gerritbot added a comment.Via ConduitApr 3 2014, 1:59 PM

Change 123638 had a related patch set uploaded by Tinaj1234:
Added keyboard shortcut (ESC key) to close notifications flyout

https://gerrit.wikimedia.org/r/123638

gerritbot added a comment.Via ConduitApr 6 2014, 11:59 AM

Change 123638 merged by jenkins-bot:
Added keyboard shortcut (ESC key) to close notifications flyout

https://gerrit.wikimedia.org/r/123638

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.